=== Extensions/CMakeLists.txt ===
find_package(PNG )

if( PNG_FOUND )
  add_subdirectory( PngDC )
endif( PNG_FOUND )
