=== OpenCTL/CMakeLists.txt ===
project(OpenCTL)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )

set(CTLC "${CMAKE_CURRENT_BINARY_DIR}/tools/compiler/ctlc")
set(CTLI "${CMAKE_CURRENT_BINARY_DIR}/tools/interpreter/ctli")

set(OPENCTL_VERSION ${OPENGTL_VERSION})
set(OPENCTL_LIB_VERSION ${OPENGTL_LIB_VERSION})
set(OPENCTL_LIB_SOVERSION ${OPENGTL_LIB_SOVERSION})

add_subdirectory(OpenCTL)
add_subdirectory(tools)

# After tool to get CTLC variable
add_subdirectory(tests)
