=== OpenGTL/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )

add_subdirectory(GTLCore)
add_subdirectory(GTLTest)
add_subdirectory(GTLImageIO)
add_subdirectory(tools)
