=== Extensions/PngDC/CMakeLists.txt ===
# add_subdirectory(tests)

## GTLImageIO library ##

include_directories(${PNG_INCLUDE_DIR})

set(PNG_DC_SRCS
    PngDC.cpp )

add_library(PngDC SHARED ${PNG_DC_SRCS} )
target_link_libraries(PngDC GTLImageIO ${PNG_LIBRARIES})

# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
add_definitions( "-D__STDC_LIMIT_MACROS" )
add_definitions( -DCOUMPONENT_NAME=\"\\\"PngDC\\\"\" )
add_definitions( ${PNG_DEFINITIONS} )

# Install target
install(TARGETS PngDC  DESTINATION ${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR} )
# install( FILES ImageDC.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO ) # NO REASON TO INSTALL HEADERS FOR NOW
