=== OpenCTL/tools/CMakeLists.txt ===
add_subdirectory(compiler)
add_subdirectory(interpreter)
