=== OpenGTL/GTLImageIO/CMakeLists.txt ===
# add_subdirectory(tests)

include_directories( ${LLVM_INCLUDE_DIR} )

## GTLImageIO library ##

set(GTLImageIO_SRCS
    ImageDC.cpp
    ImageDCRegistry.cpp )

add_definitions( -D_GTLIMAGEIO_EXTENSIONS_INSTALL_DIR_="${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR}" )

add_library(GTLImageIO SHARED ${GTLImageIO_SRCS} )
target_link_libraries(GTLImageIO GTLCore )

# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
add_definitions( "-D__STDC_LIMIT_MACROS" )
add_definitions( -DCOUMPONENT_NAME="GTLImageIO" )

# Set the ABI version of the library
set_target_properties(GTLImageIO PROPERTIES VERSION ${OPENGTL_LIB_VERSION} SOVERSION ${OPENGTL_LIB_SOVERSION} )

# Install target
install(TARGETS GTLImageIO  DESTINATION ${LIB_INSTALL_DIR} )
# install( FILES ImageDC.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO ) # NO REASON TO INSTALL HEADERS FOR NOW
