=== OpenGTL/GTLTest/CMakeLists.txt ===
add_subdirectory(tests)

## GTLTest library ##

set(GTLTest_SRCS
  Suite.cpp
  Case.cpp
  Result.cpp )

add_library(GTLTest SHARED ${GTLTest_SRCS} )

# Set the ABI version of the library
set_target_properties(GTLTest PROPERTIES VERSION ${OPENGTL_LIB_VERSION} SOVERSION ${OPENGTL_LIB_SOVERSION} )
