=== OpenCTL/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 project(OpenCTL)
 
 include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
+
+add_definitions(-Wall -Werror )
 
 set(CTLC "${CMAKE_CURRENT_BINARY_DIR}/tools/compiler/ctlc")
 set(CTLI "${CMAKE_CURRENT_BINARY_DIR}/tools/interpreter/ctli")
