=== OpenGTL/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
+
+add_definitions(-Wall -Werror )
 
 add_subdirectory(GTLCore)
 add_subdirectory(GTLTest)
