=== OpenShiva/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
+
+add_definitions(-Wall -Werror )
 
 set(SHIVAC "${CMAKE_CURRENT_BINARY_DIR}/tools/compiler/shivac")
 set(SHIVAI "${CMAKE_CURRENT_BINARY_DIR}/tools/interpreter/shivai")
