=== Extensions/PngDC/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
-# add_subdirectory(tests)
+include_directories(${PNG_INCLUDE_DIR})
 
-## GTLImageIO library ##
-
-include_directories(${PNG_INCLUDE_DIR})
+add_definitions(-Wall -Werror )
 
 set(PNG_DC_SRCS
     PngDC.cpp )
