=== OpenCTL/OpenCTL/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   Module.cpp
   ModulesManager.cpp
   Program.cpp
+  Version.cpp
 # Internal files
   StdLibFunctions.cpp
   compiler/Compiler.cpp
@@ -21,8 +22,10 @@
 
 # __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
 add_definitions( "-D__STDC_LIMIT_MACROS" )
+add_definitions( "-D__STDC_CONSTANT_MACROS" )
 add_definitions( -DCOUMPONENT_NAME="OpenCTL" )
 
+add_definitions( -D_OPENCTL_LIB_="${CMAKE_INSTALL_PREFIX}/lib/libOpenCTL.so.${OPENGTL_LIB_SOVERSION}")
 add_definitions( -D_OPENCTL_CTL_STD_LIB_SRC_DIR_="${CMAKE_CURRENT_SOURCE_DIR}")
 add_definitions( -D_OPENCTL_CTL_SHARE_DIR_="${SHARE_INSTALL_DIR}/ctl" )
