=== OpenGTL/GTLCore/CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,15 @@
 
 set(GTLCore_SRCS
   AbstractImage.cpp
+  Array.cpp
+  Buffer.cpp
   BufferImage.cpp
-  Array.cpp
-  Image.cpp
-  Buffer.cpp
+  CategoriesManager.cpp
+  Category.cpp
   Debug.cpp
   ErrorMessage.cpp
   Function.cpp
+  Image.cpp
   Optimiser.cpp
   Parameter.cpp
   PixelDescription.cpp
@@ -24,13 +26,17 @@
   ScopedName.cpp
   String.cpp
   Type.cpp
-  TypeManager.cpp
+  TypesManager.cpp
   Value.cpp
+  Version.cpp
 # Internal files
+  wrappers/Allocate.cpp
   AST/AccessorExpression.cpp
   AST/BinaryExpression.cpp
   AST/ConvertExpression.cpp
   AST/CoumpoundExpression.cpp
+  AST/ConstantCoumpoundExpression.cpp
+  AST/GarbageCollectionStatement.cpp
   AST/Expression.cpp
   AST/FunctionDeclaration.cpp
   AST/Statement.cpp
@@ -46,15 +52,25 @@
   FloatHalfConverter_p.cpp
   GenerationContext_p.cpp
   LexerBase_p.cpp
+  MemoryManager_p.cpp
   ModuleData_p.cpp
   Optimiser_p.cpp
   ParserBase_p.cpp
   Token_p.cpp
   Type_p.cpp
-  TypeManager_p.cpp
+  TypesManager_p.cpp
   VariableNG_p.cpp
+  VariablesManager_p.cpp
   VirtualMachine_p.cpp
   Visitor_p.cpp
+# Metadata
+  Metadata/Debug_p.cpp
+  Metadata/Entry.cpp
+  Metadata/Group.cpp
+  Metadata/ParameterEntry.cpp
+  Metadata/TextEntry.cpp
+  Metadata/ValueEntry.cpp
+  Metadata/Factory_p.cpp
   ${LLVM_NATIVE_OBJECTS}
   )
 
@@ -69,9 +85,40 @@
 
 # __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
 add_definitions( "-D__STDC_LIMIT_MACROS" )
+add_definitions( "-D__STDC_CONSTANT_MACROS" )
 add_definitions( -DCOUMPONENT_NAME="GTLCore" )
+if(OPENGTL_ENABLE_SIMD)
+add_definitions( -DENABLE_SIMD )
+endif(OPENGTL_ENABLE_SIMD)
 
 # installation
 install(TARGETS GTLCore  DESTINATION ${LIB_INSTALL_DIR} )
-install( FILES Parameter.h Function.h Array.h Buffer.h ErrorMessage.h PixelDescription.h Region.h RegionF.h ScopedName.h String.h Type.h Value.h Version.h Macros.h AbstractImage.h BufferImage.h Image.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore )
+install( FILES
+  AbstractImage.h
+  Array.h
+  Buffer.h
+  BufferImage.h
+  CategoriesManager.h
+  Category.h
+  ErrorMessage.h
+  Function.h
+  Macros.h
+  Image.h
+  Parameter.h
+  PixelDescription.h
+  Region.h
+  RegionF.h
+  ScopedName.h
+  String.h
+  Type.h
+  TypesManager.h
+  Value.h
+  Version.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore )
 
+install( FILES Metadata/ParameterEntry.h Metadata/Entry.h Metadata/Group.h Metadata/TextEntry.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLCore/Metadata )
+
+# Create and install pc file
+configure_file("GTLCore.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/GTLCore.pc" @ONLY)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/GTLCore.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
