=== OpenGTL/tools/CMakeLists.txt ===
add_subdirectory(convert)
add_subdirectory(imagecompare)
add_subdirectory(mmbenchmark)
