=== OpenShiva/tests/CMakeLists.txt ===
add_subdirectory( parse )
add_subdirectory( arithmetic )
add_subdirectory( library )
add_subdirectory( structures )
add_subdirectory( vectors )
add_subdirectory( imagegenerators )
add_subdirectory( convolution )
add_subdirectory( raw )
