=== OpenCTL/OpenCTL/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,18 @@
   Module.cpp
   ModulesManager.cpp
   Program.cpp
+  Template.cpp
   Version.cpp
 # Internal files
   StdLibFunctions.cpp
   compiler/Compiler.cpp
   compiler/LexerNG.cpp
   compiler/ParserNG.cpp
+# Template files
+  templatecompiler/GenerationContext_p.cpp
+  templatecompiler/TemplateAST.cpp
+  templatecompiler/TemplateLexer.cpp
+  templatecompiler/TemplateParser.cpp
   ${LLVM_NATIVE_OBJECTS}
     )
 
@@ -35,7 +41,14 @@
 
 # Install target
 install(TARGETS OpenCTL  DESTINATION ${LIB_INSTALL_DIR} )
-install( FILES Module.h ModulesManager.h Program.h Version.h DESTINATION ${INCLUDE_INSTALL_DIR}/OpenCTL )
+install( FILES
+  Export.h
+  Module.h
+  ModulesManager.h
+  Program.h
+  Template.h
+  Version.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/OpenCTL )
 
 # Create and install pc file
 configure_file("OpenCTL.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/OpenCTL.pc" @ONLY)
