=== OpenCTL/tools/CMakeLists.txt ===
add_subdirectory(compiler)
add_subdirectory(interpreter)
add_subdirectory(benchmark)
add_subdirectory(templatecompiler)
