=== OpenGTL/GTLCore/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,15 @@
-add_subdirectory(tests)
+if(OPENGTL_BUILD_TESTS)
+  add_subdirectory(tests)
+endif(OPENGTL_BUILD_TESTS)
 
 # Find llvm jit, interpreter and native
 FIND_LLVM_LIBS( ${LLVM_CONFIG_EXECUTABLE} "native bitwriter linker bitreader jit interpreter support ipo" LLVM_LIBS LLVM_NATIVE_OBJECTS )
 
 include_directories( ${LLVM_INCLUDE_DIR} )
+
+## Generate macros.h file
+
+configure_file(Macros.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Macros.h )
 
 ## GTLCore library ##
 
@@ -21,6 +27,7 @@
   Optimiser.cpp
   Parameter.cpp
   PixelDescription.cpp
+  ProgressReport.cpp
   Region.cpp
   RegionF.cpp
   ScopedName.cpp
@@ -31,6 +38,7 @@
   Version.cpp
 # Internal files
   wrappers/Allocate.cpp
+  wrappers/ProgressReportWrap.cpp
   AST/AccessorExpression.cpp
   AST/BinaryExpression.cpp
   AST/ConvertExpression.cpp
@@ -46,6 +54,7 @@
   CompilerBase_p.cpp
   ConvertCenter_p.cpp
   ErrorMessages_p.cpp
+  ExpressionGenerationContext_p.cpp
   ExpressionResult_p.cpp
   Function_p.cpp
   FunctionCaller_p.cpp
@@ -87,9 +96,9 @@
 add_definitions( "-D__STDC_LIMIT_MACROS" )
 add_definitions( "-D__STDC_CONSTANT_MACROS" )
 add_definitions( -DCOUMPONENT_NAME="GTLCore" )
-if(OPENGTL_ENABLE_SIMD)
-add_definitions( -DENABLE_SIMD )
-endif(OPENGTL_ENABLE_SIMD)
+if(OPENGTL_32_BITS)
+add_definitions( -DOPENGTL_32_BITS )
+endif(OPENGTL_32_BITS)
 
 # installation
 install(TARGETS GTLCore  DESTINATION ${LIB_INSTALL_DIR} )
@@ -101,11 +110,13 @@
   CategoriesManager.h
   Category.h
   ErrorMessage.h
+  Export.h
   Function.h
-  Macros.h
+  ${CMAKE_CURRENT_BINARY_DIR}/Macros.h
   Image.h
   Parameter.h
   PixelDescription.h
+  ProgressReport.h
   Region.h
   RegionF.h
   ScopedName.h
