=== OpenGTL/GTLImageIO/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 set(GTLImageIO_SRCS
     ImageDC.cpp
-    ImageDCRegistry.cpp )
+    ImageDCRegistry.cpp
+    Version.cpp )
 
 add_definitions( -D_GTLIMAGEIO_EXTENSIONS_INSTALL_DIR_="${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR}" )
 
@@ -28,7 +29,11 @@
 
 # Install target
 install(TARGETS GTLImageIO  DESTINATION ${LIB_INSTALL_DIR} )
-install( FILES ImageDC.h ImageDCRegistry.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO )
+install( FILES
+  Export.h
+  ImageDC.h
+  ImageDCRegistry.h
+  DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO )
 
 # Create and install pc file
 configure_file("GTLImageIO.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/GTLImageIO.pc" @ONLY)
