=== OpenShiva/OpenShiva/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
   PixelConvertExpressionFactory_p.cpp
   Kernel_p.cpp
   Library.cpp
+  LibraryCompilation_p.cpp
   LibrariesManager.cpp
 # Metadata
   MetadataLexer_p.cpp
@@ -27,6 +28,7 @@
   wrappers/ImageWrap_p.cpp
   wrappers/PixelWrap_p.cpp
   wrappers/RegionWrap_p.cpp
+  wrappers/rand.cpp
     )
 
 # Add the OpenSHIVA library for build
@@ -50,6 +52,7 @@
 # Install target
 install(TARGETS OpenShiva  DESTINATION ${LIB_INSTALL_DIR} )
 install( FILES
+  Export.h
   Kernel.h
   Library.h
   LibrariesManager.h
