=== OpenCTL/tools/interpreter/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} )

set(ctlexec_SRCS
  CtlI.cpp
    )

add_definitions( -DCOUMPONENT_NAME=\"\\\"CTLi\\\"\" )
add_executable(ctli ${ctlexec_SRCS})
target_link_libraries(ctli OpenCTL )
install( TARGETS ctli DESTINATION ${BIN_INSTALL_DIR} )
