=== OpenCTL/tools/templatecompiler/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} )

set(ctltc_SRCS
  CtlTC.cpp
    )

add_executable(ctltc ${ctltc_SRCS})
target_link_libraries(ctltc OpenCTL )
install( TARGETS ctltc DESTINATION ${BIN_INSTALL_DIR} )
