=== OpenGTL/GTLCore/tests/CMakeLists.txt ===
include_directories( ${GTL_Core_DIR} )

set(TestGTLCore_SRCS
  TestGTLCore.cpp
    )

add_executable(TestGTLCore ${TestGTLCore_SRCS})
target_link_libraries(TestGTLCore GTLCore GTLTest )
add_test(TestGTLCore TestGTLCore)
