=== OpenGTL/tools/imagecompare/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} )

set( ImageCompare_SRCS
     ImageCompare.cpp )

add_definitions( -DCOUMPONENT_NAME=\"\\\"ImageCompare\\\"\" )

add_executable(imagecompare ${ImageCompare_SRCS})
target_link_libraries(imagecompare GTLImageIO )
install( TARGETS imagecompare DESTINATION ${BIN_INSTALL_DIR} )
