=== debian/changelog ===
opengtl (0.9.12-0ubuntu2) lucid; urgency=low

  * debian/libgtlcore0.install:
    - Add missing file usr/share/OpenGTL/shiva/shivastdlib.shiva
  * debian/libgtlcore-dev.install:
    - Add missing file GTLCore.pc
    - Add missing file GTLImageIO.pc
    - Add missing includes directory GTLImageIO
  * debian/opengtl-tools.install:
    - Add missing files gtlconvert, imagecompre, and shivainfo

 -- Richard A. Johnson <nixternal@ubuntu.com>  Wed, 13 Jan 2010 00:14:35 -0600

opengtl (0.9.12-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend version of llvm-dev to 2.6
  * Use Debian source format 3.0 (quilt)
  * Remove kubuntu_01_disable_llvm_vercheck.diff, no longer needed
  * Remove quilt build-dependency
  * Switch to debhelper short-style rules:
    - Bump debian/compat to 7
    - Bump debhelper build-depend version to 7
    - Remove cdbs build-dependency
    - Use debhelper short rules in debian/rules
  * Solve weak-library-dev-dependency issues for the -dev packages
  * Bump Standards-Version to 3.8.3
  * Whitespace fix in debian/changelog

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 09 Jan 2010 16:07:34 -0500

opengtl (0.9.9-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Add kubuntu_01_disable_llvm_vercheck.diff since we have an svn version
      of llvm that's higher than 2.5 (opengtl wants exactly 2.5 since they
      also made a 2.4 release)
    - Bump llvm build-dep version to (>= 2.5)
    - Update .install files
  * Bump Standards-Version to 3.8.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 28 May 2009 22:31:29 -0400

opengtl (0.9.5-0ubuntu3) jaunty; urgency=low

  * Ensure -dev packages depend on their libraries
  * Build against llvm fixed for amd64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Nov 2008 21:10:37 +0000

opengtl (0.9.5-0ubuntu2) jaunty; urgency=low

  * Build-dep on llvm-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Nov 2008 01:05:30 +0000

opengtl (0.9.5-0ubuntu1) jaunty; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Nov 2008 11:57:40 +0000
