=== debian/control ===
Source: opengtl
Section: graphics
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7), cmake, llvm-dev (>= 2.6)
Standards-Version: 3.8.3
Homepage: http://www.opengtl.org/

Package: libgtlcore0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains the libgtlcore and libshiva libraries.

Package: libopenctl0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCTL from Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains the OpenCTL (Colour Transformation Language)
 library.

Package: libgtlcore-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtlcore0 (= ${binary:Version})
Description: Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains development files for libgtlcore and libshiva.

Package: libopenctl-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtlcore-dev, libopenctl0 (= ${binary:Version})
Description: Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains development files for OpenCTL.

Package: opengtl-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphics Transformation Libraries
 OpenGTL, Graphics (or Generics) Transformation Libraries (Languages).
 .
 Tools, languages and libraries to create generic transformation for
 graphics. Those transformations could then be used by different
 programs
 .
 This package contains some tools that are useful when developing for
 OpenGTL, or to use some of its functionality from the command line:
  - ctlc compile a ctl program
  - ctli execute a function from a ctl program
  - shivac compile a shiva kernel
  - shiva apply a kernel on a set of images
